{% extends 'tienda/base.html' %}

{% load static %}

{% block titul %} Crear Producto {% endblock %}

{% block contenedor %}

    {% if id %}
        <h3>Editar: {{ id }}</h3>
    {% endif %}

    <form method="post" action="{% url 'tienda:productos_guardar' %}" enctype="multipart/form-data">
        {% csrf_token %}

        <input type="hidden" name="id" value="{{ data.id }}">
        <label class="form-control">Foto:</label>
        <input type="file" name="foto" accept="image/*" />
        <br>
        <label class="form-control">Nombre:</label>
        <input type="text" required="" name="nombre" class="form-control" value="{{ data.nombre }}"/>
        <br>
        <label class="form-control">Precio:</label>
        <input type="number" required="" name="precio" class="form-control" value="{{ data.precio }}"/>
        <br>
        <label class="form-control">Fecha Compra:</label>
        <input type="date" required="" name="fecha_compra" class="form-control" value="{{ data.fecha_compra|date:'Y-m-d' }}"/>
        <br>
        <label class="form-control">Categoría:</label>
        <select name="categoria" required="" class="form-control">
            <option value="">Seleccione</option>
            {% for c in categorias %}
                <option value="{{ c.id }}" {% if data.categoria.id == c.id %}selected=""{% endif %} >{{ c.nombre }}</option>
            {% endfor %}
        </select>
        <br>
        <button type="submit" class="btn btn-info">
        {% if id %}
            Actualizar
        {% else %}
            Crear
        {% endif %}
        </button>
    </form>

{% endblock %}